Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage

das Generieren der Plugins ist im All-Target aufgehängt, welches vor dem INSTALL-Target ausgeführt wird.

Allerdings wird erwartet, dass die Plugins bereits installiert sind.

Idee:

Der Generator sollte auf dem Output des zugehörigen Targets angewendet werden

Das INSTALL-Target kopiert dann alle Dateien an die richtige Stelle

Lösung

ACORE-9453 angelegt

History

#2 - 2018-04-16 14:50 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::PluginDescription

- Customer set to AUDI

- Department set to EX

- Affected Products ADTF 3.3.0 (BETA) added

#3 - 2018-04-16 14:51 - hidden

- File ADTFMacros.cmake added

Jens schrieb: (in Duplikat Ticket #2253)

Damit läuft bei mir der debug-Build der Examples durch.

Die generierte PluginDescription wurde bereits an die richtige Stelle gelegt (für mich jetzt praktisch, aber irgendwie inkonsistent zum

Install-Target-Konzept).

#4 - 2018-04-17 13:26 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Jens,

auch bei diesen Ticket:

Kannst Du bitte nochmals mit der Release-Version von ADTF 3.3.0 verifizieren ob das Problem auch hier noch immer so vorhanden ist?

Danke und Gruß
Matthias

#5 - 2018-04-17 14:31 - hidden

Ich habe den Installer als ADTF 3.3.0 am Freitag Nachmittag von http://km-aev.in.audi.vwg/install_cd/adtf/v3.3.0_devil/ bezogen. Hat sie das Paket

seitdem nochmal geändert?

#6 - 2018-04-17 18:43 - hidden

gerade nochmal mit aktuellem Installer verifiziert. Gleiches Verhalten.

#8 - 2018-04-18 09:32 - hidden

- Affected Products ADTF 3.3.0 added

- Affected Products deleted (ADTF 3.3.0 (BETA))

#9 - 2018-04-18 09:32 - hidden

- Status changed from Customer Feedback Required to In Progress

#10 - 2018-04-20 17:31 - hidden

Hi Jens,

Danke für dein Feedback.

Diese Herangehensweise haben wir bei der Planung auch beleuchtet.

Das ganze ist momentan etwa so gelagert:

Bereits vor dem PluginDescriptionGenerator-Thema wurde im Post-Build-Schritt eines Plugins bereits das zugehörige install-Skript ausgeführt.

Das install-Target kopiert dann einfach nochmal drüber.

Das hat den Vorteil, dass der PluginDescriptionGenerator im Install-Ordner arbeiten kann, wo bereits alle Plugins inkl. Abhängigkeiten an der

richtigen Stelle liegen.

Zu den Abhängigkeiten gehören neben anderen Plugins auch wieder deren Descriptions - dazu kommt Qt, das Default-System und weitere.

Deine Idee ist aber noch nicht ganz vom Tisch:

Es ist eine Überlegung wert, den automatischen Install im PostBuild wegzulassen - es ist ja irgendwo ein Workaround.

Wir könnten dann die CMake-Skripte so anpassen, dass die einzelnen ADTF-Komponenten schon innerhalb des Build-Ordners an die richtigen

Stellen gebaut werden.

Dann ist es auch wieder einfach, den Generator gleich im Build-Ordner laufen zu lassen - auch beim Debuggen aus der IDE raus wäre das eine Hilfe.

Das Install-Target würde dann wirklich nur noch die relevanten Dateien vom Build- in den Install-Ordner kopieren.

Ich werde dazu ein Ticket im JIRA anlegen.

Viele Grüße

Wolfgang

#11 - 2018-04-20 17:45 - hidden

JIRA-Ticket ist angelegt:

https://www.cip.audi.de/jira/browse/ACORE-9453

#12 - 2018-04-20 17:45 - hidden

- Status changed from In Progress to To Be Closed

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9453

- Platform Windows 7 64bit added

#13 - 2018-05-04 17:54 - hidden

- Subject changed from ADTF 3.3.0: CMake Plugin Description Generator to CMake order for Plugin Description Generator

- Description updated

#14 - 2018-05-22 08:23 - hidden

- Project changed from 11 to Public Support

- Private changed from Yes to No
#15 - 2018-05-23 14:18 - hidden

- Status changed from To Be Closed to Closed

Files

ADTFMacros.cmake 19.1 KB 2018-04-16 hidden
